<?php
if(helper::hasFeature('devops'))
{
    $lang->navGroup->gitfox = 'devops';

    if(isset($lang->devops->homeMenu->apps)) $lang->devops->homeMenu->apps['subModule'] .= ',gitfox';

    $lang->devops->menu->settings = array('link' => 'Settings|repo|setcmrule|repoID=%s', 'alias' => 'setprrule,setsaferule,setownerrule,browsewebhooks,browserule,createwebhook,editwebhook,logwebhook,createrule,editrule');
    $lang->devops->menuOrder[65]  = 'settings';

    $lang->devops->menu->settings['subMenu'] = new stdclass();
    $lang->devops->menu->settings['subMenu']->commit   = array('link' => "Commit|repo|setcmrule|repoID=%s", 'alias' => 'setprrule,setsaferule,setownerrule');
    $lang->devops->menu->settings['subMenu']->webhooks = array('link' => "Webhooks|repo|browsewebhooks|repoID=%s", 'alias' => 'createwebhook,editwebhook,logwebhook');
    $lang->devops->menu->settings['subMenu']->rule     = array('link' => "Rules|repo|browserule|repoID=%s", 'alias' => 'createrule,editrule');

    $lang->devops->menu->code['exclude'] .= ',repo-setprrule,repo-setcmrule,repo-setsaferule,repo-setownerrule,repo-browsewebhooks,repo-browserule,repo-createwebhook,repo-editwebhook,repo-logwebhook,repo-createrule,repo-editrule';

    $lang->repoSettings = new stdclass();
    $lang->repoSettings->common = 'Settings';

    $lang->pullreq = new stdclass();
    $lang->pullreq->common = 'Push Requests';

    $lang->systemManage = new stdclass();
    $lang->systemManage->common = 'Applications';

    $lang->devops->env             = 'ENV';
    $lang->devops->system          = 'Application';
    $lang->devops->cluster         = 'Cluster';
    $lang->devops->publishTemplate = 'Template';

    include dirname(dirname(__FILE__)) . DS . 'menu.php';

    $lang->downloadFit = 'Download Fit';
}
