<?php
global $config;
$lang->publishtemplate = new stdClass();

$lang->publishtemplate->common      = 'Deploy Template';
$lang->publishtemplate->browse      = 'Deploy Template List';
$lang->publishtemplate->create      = 'Add Deploy Template';
$lang->publishtemplate->edit        = 'Edit Deploy Template';
$lang->publishtemplate->delete      = 'Delete Deploy Template';
$lang->publishtemplate->name        = 'Template Name';
$lang->publishtemplate->systemID    = 'App Name';
$lang->publishtemplate->appKey      = 'App Key';
$lang->publishtemplate->envID       = 'Environment';
$lang->publishtemplate->hosts       = 'Hosts';
$lang->publishtemplate->hostNum     = 'Hosts Number';
$lang->publishtemplate->desc        = 'Description';
$lang->publishtemplate->system      = 'Deployment methods';
$lang->publishtemplate->createdBy   = 'Created By';
$lang->publishtemplate->createdDate = 'Created Date';
$lang->publishtemplate->productName = 'Product Name';
$lang->publishtemplate->mode        = 'Deploy Mode';
$lang->publishtemplate->modeList[1] = 'Serial';
$lang->publishtemplate->modeList[2] = 'Parallel';

$lang->publishtemplate->clusterID   = 'cluster';
$lang->publishtemplate->ports       = 'Listen Ports';
$lang->publishtemplate->protocol    = 'Protocol';
$lang->publishtemplate->port        = 'Port';
$lang->publishtemplate->portDesc    = 'Description';
$lang->publishtemplate->dirs        = 'Persistent Directories';
$lang->publishtemplate->dir         = 'Directory Name';
$lang->publishtemplate->dirDesc     = 'Description';
$lang->publishtemplate->envs        = 'Environment Variables';
$lang->publishtemplate->envKey      = 'Variable Name';
$lang->publishtemplate->envVlue     = 'Variable Value';
$lang->publishtemplate->services    = 'Dependent Services';
$lang->publishtemplate->service     = 'Dependent Service';
$lang->publishtemplate->serviceDesc = 'Description';

$lang->publishtemplate->serviceList = array();
$lang->publishtemplate->serviceList['mysql'] = 'MySQL';
$lang->publishtemplate->serviceList['redis'] = 'Redis';

$lang->publishtemplate->protocolList = array();
$lang->publishtemplate->protocolList['tcp'] = 'TCP';
$lang->publishtemplate->protocolList['udp'] = 'UDP';

$lang->publishtemplate->step = new stdClass();
$lang->publishtemplate->step->next = 'Next Step';
$lang->publishtemplate->step->prev = 'Previous Step';

$lang->publishtemplate->localCommand = new stdClass();
$lang->publishtemplate->localCommand->title = 'Local Action';
$lang->publishtemplate->localCommand->data  = 'Local Command';

$lang->publishtemplate->targetCommand = new stdClass();
$lang->publishtemplate->targetCommand->title = 'Target Action';
$lang->publishtemplate->targetCommand->data  = 'Target Command';

$lang->publishtemplate->systemList = array();
$lang->publishtemplate->systemList['cne']  = 'CNE App Deploy';
$lang->publishtemplate->systemList['spug'] = 'Host Deploy';

$lang->publishtemplate->featureBar = array();
$lang->publishtemplate->featureBar['browse']['spug'] = 'Host Deploy Template';
$lang->publishtemplate->featureBar['browse']['cne']  = 'CNE App Deploy Template';

$lang->publishtemplate->appKeyPlaceholder = 'It can consist of lowercase letters and numbers and must begin with a lowercase letter.';
$lang->publishtemplate->confirmDelete     = 'Are you sure to delete the template?';

$lang->publishtemplate->notice = new stdClass();
$lang->publishtemplate->notice->length           = '%s length cannot exceed %d characters';
$lang->publishtemplate->notice->appKey           = 'Only lowercase letters and numbers are allowed, and it must start with a lowercase letter.';
$lang->publishtemplate->notice->commands         = 'At least one local action or target host action needs to be configured';
$lang->publishtemplate->notice->protocol         = 'Only tcp and udp protocols are supported';
$lang->publishtemplate->notice->duplicatePort    = 'Duplicate Port';
$lang->publishtemplate->notice->port             = 'Port must be a integers, range 1~65535';
$lang->publishtemplate->notice->portDesc         = 'Port description cannot exceed 30 characters and can only contain letters, numbers, Chinese, underscores, and hyphens';
$lang->publishtemplate->notice->nonSystemDir     = 'Non System Directory(%s)';
$lang->publishtemplate->notice->dir              = 'Directory must start with / and cannot end with /, only letters, numbers, underscores, and hyphens are allowed, up to 100 characters';
$lang->publishtemplate->notice->dirDesc          = 'Directory description cannot exceed 30 characters and can only contain letters, numbers, Chinese, underscores, and hyphens';
$lang->publishtemplate->notice->duplicateDir     = 'Duplicate Directory';
$lang->publishtemplate->notice->duplicateEnvKey  = 'Duplicate Environment name';
$lang->publishtemplate->notice->envKey           = 'Environment variable name must start with an uppercase letter, can only contain uppercase letters, numbers, and underscores, up to 100 characters';
$lang->publishtemplate->notice->envValue         = 'Environment variable value cannot be empty, cannot contain Chinese, and cannot exceed 100 characters';
$lang->publishtemplate->notice->service          = 'Service name cannot be empty';
$lang->publishtemplate->notice->serviceDesc      = 'Service description cannot exceed 30 characters and can only contain letters, numbers, Chinese, underscores, and hyphens';
$lang->publishtemplate->notice->duplicateService = 'Duplicate Service';

$lang->publishtemplate->apiError = new stdClass();
$lang->publishtemplate->apiError->exists             = ' %s already exists, please try again after changing';
$lang->publishtemplate->apiError->systemAndEnvExists = 'There is already an online template of this environment under the current application. Please select another environment to operate.';
$lang->publishtemplate->apiError->DeldeployTPLTip    = 'The template has been used and cannot be deleted.';
