<?php
$lang->deploy->artifact      = '製品';
$lang->deploy->setting       = '設置審批流';
$lang->deploy->flow          = '審批流';
$lang->deploy->env           = '環境';
$lang->deploy->app           = '發佈模板';
$lang->deploy->products      = '產品';
$lang->deploy->host          = '主機';
$lang->deploy->recall        = '撤回';
$lang->deploy->progress      = '審批進度';
$lang->deploy->submit        = '提交審批';
$lang->deploy->review        = '審批';
$lang->deploy->reviewer      = '審批人員';
$lang->deploy->releaseTPL    = '上線模板';
$lang->deploy->systemVersion = '關聯應用版本';
$lang->deploy->cluster       = '集群';

$lang->deploy->deployResult     = '評審結果';
$lang->deploy->deployedDate     = '評審時間';
$lang->deploy->finalOpinion     = '評審意見';
$lang->deploy->reviewedBy       = '待審批人';
$lang->deploy->lastReviewedDate = '最後審批時間';

$lang->deploy->notice->recall        = '請確認是否撤銷該審批?';
$lang->deploy->notice->emptyArtifact = '請確認選擇的應用版本號不存在docker類型的製品。';
$lang->deploy->notice->noArtifact    = '發佈【%s】沒有製品。';
$lang->deploy->notice->release       = '應用版本號不能為空';
$lang->deploy->notice->product       = '產品不能為空';

$lang->deploy->approvalStatus['0'] = '關閉';
$lang->deploy->approvalStatus['1'] = '開啟';

global $config;
if($config->inQuickon)
{
    $lang->deploy->typeList['spug'] = '主機上線';
    $lang->deploy->typeList['cne'] =  '渠成應用上線';
}

if($config->edition != 'open' && $config->edition != 'biz')
{
    $lang->deploy->featureBar['browse']['wait']    = '待上線';
    $lang->deploy->featureBar['browse']['waiting'] = '待審批';

    $lang->deploy->statusList['wait']      = '待上線';
    $lang->deploy->statusList['draft']     = '草稿';
    $lang->deploy->statusList['waiting']   = '待審批';
    $lang->deploy->statusList['reviewing'] = '審批中';
    $lang->deploy->statusList['rejected']  = '審批拒絶';
}

$lang->deploy->reviewResultList['pass'] = '通過';
$lang->deploy->reviewResultList['fail'] = '不通過';

$lang->deploy->action = new stdclass();
$lang->deploy->action->reviewed = array('main' => '$date, 由 <strong>$actor</strong> 審批，結果為 <strong>$extra</strong>。', 'extra' => 'reviewResultList');
$lang->deploy->action->submit   = array('main' => '$date, 由 <strong>$actor</strong> 提交審批。');
$lang->deploy->action->recall   = array('main' => '$date, 由 <strong>$actor</strong> 撤回審批。');

$lang->deploy->createFailed  = '上線申請創建失敗';
$lang->deploy->publishFailed = '上線失敗';
$lang->deploy->deleteFailed  = '上線申請刪除失敗';

$lang->deploy->apiError = array();
$lang->deploy->apiError[] = "發佈對應的製品地址過長!";
$lang->deploy->apiError[] = "名稱過長, 請修改後重試!";
$lang->deploy->apiError[] = "描述過長, 請修改後重試!";
